/// <reference types="react" />
import { FormControlProps as ControlProps } from 'react-bootstrap';
import { Props as FormControlProps } from './FormControl';
import { Props as FormCheckProps } from './FormCheck';
import { BsPrefixProps } from 'react-bootstrap/helpers';
export declare const getFieldErrorProps: ({ field, form, isTouchRequired, }: Pick<FormControlProps, "field" | "form" | "isTouchRequired">) => {
    fieldError: string | undefined;
    showError: boolean;
};
export declare const getFieldFormControlProps: ({ disabled, field, tag, isInvalid, isTouchRequired, form, ...props }: FormControlProps) => ControlProps & BsPrefixProps<import("react").ElementType<any>>;
export declare const getFieldFormCheckProps: ({ disabled, field, isInvalid, isTouchRequired, form, ...props }: FormCheckProps) => any;
export declare const getFieldFormFeedbackType: ({ field, isInvalid, isTouchRequired, form, }: FormControlProps) => "valid" | "invalid";
